<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{9A1F9F81-0E68-4CE1-845D-3A391A2FEC68}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>IOB_WIN_BECKHOFF</RootNamespace>
    <AssemblyName>IOB-WIN-BECKHOFF</AssemblyName>
    <TargetFrameworkVersion>v4.6.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MapoSDK, Version=6.14.2505.2916, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\MapoSDK.6.14.2505.2916\lib\MapoSDK.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="TwinCAT.Ads">
      <HintPath>..\ExtLibs\AdsApi\.NET\v4.0.30319\TwinCAT.Ads.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\VersGen\VersGen.cs">
      <Link>VersGen.cs</Link>
    </Compile>
    <Compile Include="AdapterFormNext.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="IobBeckhoff\Beckhoff.cs" />
    <Compile Include="IobBeckhoff\BeckhoffCpa.cs" />
    <Compile Include="Iob\GenericNext.cs" />
    <Compile Include="MainFormNext.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="TcAdsClient.cs" />
    <Content Include="Resources\STEAM-IOB-WIN.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\SteamWare.ico">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <None Include="App.Debug.config">
      <DependentUpon>App.config</DependentUpon>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Include="App.Release.config">
      <DependentUpon>App.config</DependentUpon>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Include="DATA\CONF\3023.ini" />
    <None Include="DATA\CONF\3023.json" />
    <None Include="DATA\CONF\MAIN.ini">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="DATA\CONF\SIMUL_01.ini">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="DATA\CONF\SIMUL_01.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="DATA\CONF\SIMUL_01_alarm.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="DATA\CONF\SIMUL_01_WD.ini">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="DATA\DAT\PersistData.dat">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="DATA\DAT\SimData.dat">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="DATA\HIST\.placeholder">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="NLog.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="packages.config" />
    <None Include="postBuildTgt.bat" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Content Include="Resources\Start-IOB-WIN.bat">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <None Include="setupTgt.bat" />
    <None Include="temp\.placeholder">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config">
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Content Include="logs\.placeholder.txt">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\ChangeLog.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\Circuit.ico" />
    <Content Include="Resources\logoSteamware.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\manifest.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\Net.ico" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\IOB-UT-NEXT\IOB-UT-NEXT.csproj">
      <Project>{90512e12-29fc-460d-94cc-648c2a072dbd}</Project>
      <Name>IOB-UT-NEXT</Name>
    </ProjectReference>
    <ProjectReference Include="..\IOB-WIN-FORM\IOB-WIN-FORM.csproj">
      <Project>{9ba331bb-9bf1-40e0-ac03-74b43d73a097}</Project>
      <Name>IOB-WIN-FORM</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>